%define name	rapidsvn
%define version 0.8.0
%define release 2mdk

%define	major	0
%define libname	%mklibname svncpp %{major}
%define oldlibname %mklibname %{name} 0
%define libneon %mklibname neon 0.24

Summary:	A cross-platform GUI for the Subversion concurrent versioning system
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Apache License
Group:		Development/Other
URL:		http://rapidsvn.tigris.org
Source0:	http://www.rapidsvn.org/download/%{name}-%{version}.tar.bz2
BuildRequires:	apache2-devel
BuildRequires:	doxygen
BuildRequires:	subversion-devel
BuildRequires:	libtool >= 1.4.2
BuildRequires:	wxGTK2.4-devel
BuildRequires:	libxslt-proc
BuildRequires:	db4-devel
BuildPreReq:    %{libneon}-devel >= 0.24.7
BuildRequires:	autoconf2.5 >= 2.53
BuildRequires:	automake1.7
Requires(post,preun): %{libname} = %{version}
Requires:	subversion-ra-method	
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
RapidSVN is a platform independent GUI client for the Subversion
revision system written in C++ using the wxWindows framework.

%package -n	%{libname}
Summary:	RapidSVN shared SvnCpp C++ API libraries
Group:          System/Libraries
Provides:	%{oldlibname}
Obsoletes:	%{oldlibname}

%description -n	%{libname}
RapidSVN is a platform independent GUI client for the Subversion
revision system written in C++ using the wxWindows framework.

This package contains shared SvnCpp C++ API libraries for
RapidSVN.

%package -n	%{libname}-devel
Summary:	RapidSVN SvnCpp C++ API development libraries
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel
Provides:	libsvncpp-devel
Provides:	%{oldlibname}-devel
Obsoletes:	%{oldlibname}-devel

%description -n	%{libname}-devel
As part of the RapidSVN effort it became clear that it would make
the code easier to update and manage if the Subversion client C
API were wrapped in C++. This is where SvnCpp comes from. Right
now it has the following aspects of the C API have been
abstracted: authentication, logging, status, notification, and
properties. SvnCpp should provide an object-oriented programming
interface to any project that uses C++ or a SWIG-compatible
language like Python or Java. 

%prep

%setup -q

%build
export WANT_AUTOCONF_2_5="1"
libtoolize --copy --force && aclocal-1.7 && automake-1.7 --add-missing --foreign && autoconf

%configure2_5x \
    --enable-shared \
    --with-svn-include=%{_includedir} \
    --with-svn-lib=%{_libdir} \
    --with-xsltproc=%{_bindir}/xsltproc \
    --disable-no-exceptions

%make

%install
%{__rm} -rf %{buildroot}

%makeinstall_std

# Mandriva Menus
%{__install} -d %{buildroot}/%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{name}" \
title="RapidSVN" \
longtitle="GUI for Subversion" \
needs="x11" \
icon="development_tools_section.png" \
section="Applications/Development/Tools"
EOF

%{__mv} doc/svncpp/html .

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig

%postun -n %{libname}-devel -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc html AUTHORS ChangeLog INSTALL NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_menudir}/%{name}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/svncpp
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-2mdk
- rebuilt against new openldap-2.3.6 libs

* Sat May 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-1mdk
- 0.8.0
- fix deps
- use new rpm-4.4.x pre,post magic

* Tue Feb 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.7.2-3mdk
- rebuild for ldap2.2_7

* Sat Feb 05 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.7.2-2mdk
- rebuilt against new openldap libs
- fix deps

* Mon Jan 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2
- fix deps

* Sat Jan 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1
- misc spec file fixes

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.6.0-2mdk
- make it compile on 10.0

* Wed Jul 28 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.6.0-1mdk
- 0.6.0
- reenable libtoolize

* Mon Feb 23 2004 Ben Reser <ben@reser.org> 0.5.0-1mdk
- 0.5.0 which works with subversion 0.37 and newer (including 1.0.0)
- Fix menu section.
- Drop patch for building against subversion 0.29.
- Change the name of the lib package to match the libname.

* Wed Sep 10 2003 Ben Reser <ben@reser.org> 0.3.0-2mdk
- patch to build against subversion 0.29 (by Martin Furter)
- macroization
- Drop invalid requires on apache2_mod_dav_svn, the server
  really doesn't have to be on the same machine and it can
  use file:// urls to access a local repository.
- BuildRequire db4-devel, neon-devel
- Clean out majors out of BuildRequires for future ease of building...
- Drop prereq on libwxgtk2.5, automatic library stuff should handle it.

* Sun Aug 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.0-1mdk
- used parts of the spec file by David Summers
- initial cooker contrib
